unit UDlgOpPrmAssocFreqItemsets;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgOpPrmAssocRulePrefixTree, LMDCustomBrowseEdit,
  LMDFileSaveEdit, StdCtrls, lmdstdcA, LMDCustomControl, LMDCustomPanel,
  LMDCustomBevelPanel, LMDBaseEdit, LMDCustomEdit, LMDCustomMaskEdit,
  LMDMaskEdit, ComCtrls, ExtCtrls;

type
  TdlgOpPrmAssocFreqItemsets = class(TDlgOpPrmAssociationRulePrefixTree)
    spinMinLength: TLMDSpinEdit;
    Label5: TLabel;
    edMaxSupport: TLMDMaskEdit;
    rgTarget: TRadioGroup;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   ApplyModifications(); override;
    procedure   SetParameters(); override;    
  end;

var
  dlgOpPrmAssocFreqItemsets: TdlgOpPrmAssocFreqItemsets;

implementation

uses UCompAssocFreqItemsets;

{$R *.dfm}

{ TdlgOpPrmAssocFreqItemsets }

procedure TdlgOpPrmAssocFreqItemsets.ApplyModifications;
begin
 inherited;
 (OpPrm as TOpPrmAssocFreqItemsets).MaxSupport:= StrToFloat(self.edMaxSupport.Text);
 (OpPrm as TOpPrmAssocFreqItemsets).minLength:= self.spinMinLength.Value;
 if ((OpPrm as TOpPrmAssocFreqItemsets).MaxRuleLength < (OpPrm as TOpPrmAssocFreqItemsets).minLength)
  then (OpPrm as TOpPrmAssocFreqItemsets).MaxRuleLength := (OpPrm as TOpPrmAssocFreqItemsets).minLength;
 (OpPrm as TOpPrmAssocFreqItemsets).typeItemset:= TEnumTypeItemset(self.rgTarget.ItemIndex);
end;

procedure TdlgOpPrmAssocFreqItemsets.SetParameters;
begin
 inherited;
 self.edMaxSupport.Text:= FloatToStr((OpPrm as TOpPrmAssocFreqItemsets).MaxSupport);
 self.spinMinLength.Value:= (OpPrm as TOpPrmAssocFreqItemsets).minLength;
 self.rgTarget.ItemIndex:= ord((OpPrm as TOpPrmAssocFreqItemsets).typeItemset); 
end;

end.
