unit UDlgOpPrmSDCatAssocPartialTheil;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls;

type
  TdlgOpPrmSDCatAssocPartialTheil = class(TDlgBaseOperatorParameter)
    chkSort: TCheckBox;
    rgSort: TRadioGroup;
    procedure chkSortClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;      
  end;

var
  dlgOpPrmSDCatAssocPartialTheil: TdlgOpPrmSDCatAssocPartialTheil;

implementation

uses UCompSDCatAssocPartialTheilU;

{$R *.dfm}

{ TdlgOpPrmSDCatAssocPartialTheil }

procedure TdlgOpPrmSDCatAssocPartialTheil.ApplyModifications;
begin
 (OpPrm as TOpPrmSDCatPartialTheilU).SortResult:= chkSort.Checked;
 (OpPrm as TOpPrmSDCatPartialTheilU).SortCriteria:= rgSort.ItemIndex;
end;

procedure TdlgOpPrmSDCatAssocPartialTheil.SetParameters;
begin
 chkSort.Checked:= (OpPrm as TOpPrmSDCatPartialTheilU).SortResult;
 rgSort.ItemIndex:= (OpPrm as TOpPrmSDCatPartialTheilU).SortCriteria;
end;

procedure TdlgOpPrmSDCatAssocPartialTheil.chkSortClick(Sender: TObject);
begin
 if chkSort.Checked
  then rgSort.Enabled:= TRUE
  else rgSort.Enabled:= FALSE;
end;

end.
