unit UDlgOpPrmSDCatAssocTheil;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls;

type
  TdlgOpPrmSDCatAssocTheil = class(TDlgBaseOperatorParameter)
    chkSort: TCheckBox;
    rgSort: TRadioGroup;
    procedure chkSortClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;      
  end;

var
  dlgOpPrmSDCatAssocTheil: TdlgOpPrmSDCatAssocTheil;

implementation

uses UCompSDCatAssocTheilU;

{$R *.dfm}

procedure TdlgOpPrmSDCatAssocTheil.ApplyModifications;
begin
 (OpPrm as TOpPrmSDCatTheilU).SortResult:= chkSort.Checked;
 (OpPrm as TOpPrmSDCatTheilU).SortCriteria:= rgSort.ItemIndex;
end;

procedure TdlgOpPrmSDCatAssocTheil.chkSortClick(Sender: TObject);
begin
 if chkSort.Checked
  then rgSort.Enabled:= TRUE
  else rgSort.Enabled:= FALSE;
end;

procedure TdlgOpPrmSDCatAssocTheil.SetParameters;
begin
 chkSort.Checked:= (OpPrm as TOpPrmSDCatTheilU).SortResult;
 rgSort.ItemIndex:= (OpPrm as TOpPrmSDCatTheilU).SortCriteria;
end;

end.
