unit UDlgOpPrmSDCategoricalAssociation;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls;

type
  TdlgOpPrmSDCategoricalAssociation = class(TDlgBaseOperatorParameter)
    chkSort: TCheckBox;
    rgSort: TRadioGroup;
    procedure chkSortClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;    
  end;

var
  dlgOpPrmSDCategoricalAssociation: TdlgOpPrmSDCategoricalAssociation;

implementation

uses UCompSDCategoricalAssociation;

{$R *.dfm}

{ TdlgOpPrmSDCategoricalAssociation }

procedure TdlgOpPrmSDCategoricalAssociation.ApplyModifications;
begin
 (OpPrm as TOpPrmSDCatTau).SortResult:= chkSort.Checked;
 (OpPrm as TOpPrmSDCatTau).SortCriteria:= rgSort.ItemIndex;
end;

procedure TdlgOpPrmSDCategoricalAssociation.SetParameters;
begin
 chkSort.Checked:= (OpPrm as TOpPrmSDCatTau).SortResult;
 rgSort.ItemIndex:= (OpPrm as TOpPrmSDCatTau).SortCriteria;
end;

procedure TdlgOpPrmSDCategoricalAssociation.chkSortClick(Sender: TObject);
begin
 if chkSort.Checked
  then rgSort.Enabled:= TRUE
  else rgSort.Enabled:= FALSE;
end;

end.
