unit UDlgOpPrmSDSemiPartialCorrelation;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls;

type
  TdlgOpPrmSDSemiPartialCorrelation = class(TDlgBaseOperatorParameter)
    rgCorrelation: TRadioGroup;
    Label1: TLabel;
    edSigLevel: TEdit;
    TabSheet1: TTabSheet;
    rgSort: TRadioGroup;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;      
  end;

var
  dlgOpPrmSDSemiPartialCorrelation: TdlgOpPrmSDSemiPartialCorrelation;

implementation

uses UCompSDSemiPartialCorrelation;

{$R *.dfm}

{ TdlgOpPrmSDSemiPartialCorrelation }

procedure TdlgOpPrmSDSemiPartialCorrelation.ApplyModifications;
var prm: TOpPrmSDSemiPartialCorrelation;
begin
 prm:= self.OpPrm as TOpPrmSDSemiPartialCorrelation;
 prm.TypeCorr:= self.rgCorrelation.ItemIndex;
 prm.Sorting:= self.rgSort.ItemIndex;
 try
 prm.SigLevel:= strtofloat(self.edSigLevel.Text);
 except
 prm.SigLevel:= 0.05;
 end;
end;

procedure TdlgOpPrmSDSemiPartialCorrelation.SetParameters;
var prm: TOpPrmSDSemiPartialCorrelation;
begin
 prm:= self.OpPrm as TOpPrmSDSemiPartialCorrelation;
 self.rgCorrelation.ItemIndex:= prm.TypeCorr;
 self.rgSort.ItemIndex:= prm.Sorting;
 self.edSigLevel.Text:= FloatToStr(prm.SigLevel);
end;

end.
