unit UDlgOpPrmFactDCA;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, StdCtrls, ComCtrls, ExtCtrls, Spin;

type
  TdlgOpPrmFactDCA = class(TDlgBaseOperatorParameter)
    chkCrossTabs: TCheckBox;
    chkSort: TCheckBox;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;      
  end;

var
  dlgOpPrmFactDCA: TdlgOpPrmFactDCA;

implementation

uses UCompFactDiscCorrespAnalysis;

{$R *.dfm}

{ TdlgOpPrmFactDCA }

procedure TdlgOpPrmFactDCA.ApplyModifications;
var prm: TOpPrmFactDiscCorrespAnalysis;
begin
 prm:= self.OpPrm as TOpPrmFactDiscCorrespAnalysis;
 prm.ShowCrossTabs:= self.chkCrossTabs.Checked;
 prm.SortValues:= self.chkSort.Checked;
 //prm.NbFactors:= self.spinNbFactors.Value;
end;

procedure TdlgOpPrmFactDCA.SetParameters;
var prm: TOpPrmFactDiscCorrespAnalysis;
begin
 prm:= self.OpPrm as TOpPrmFactDiscCorrespAnalysis;
 self.chkCrossTabs.Checked:= prm.ShowCrossTabs;
 self.chkSort.Checked:= prm.SortValues;
 //self.spinNbFactors.Value:= prm.NbFactors;
end;

end.
