unit UFrmOpViewFactBootstrap;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UFrmOpViewFactParallelAnalysis, Menus, ActnList, TeEngine,
  Series, TeeProcs, Chart, ComCtrls, ExtCtrls;

type
  TFrmOpViewFactBootstrap = class(TFrmOpViewFactParallelAnalysis)
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   PrepareView(); override;
  end;

var
  FrmOpViewFactBootstrap: TFrmOpViewFactBootstrap;

implementation

uses UCompFactBootstrap;

{$R *.dfm}

{ TFrmOpViewFactBootstrap }

procedure TFrmOpViewFactBootstrap.PrepareView;
var k: integer;
    op: TOpFactBootstrap;
    s: TLineSeries;
begin
 //le rapport html
 inherited;
 //le graphique
 op:= self.Operator as TOpFactBootstrap;
 self.chart.SeriesList.Clear();
 //pour chaque couple de valeur
 for k:= 1 to op.getDimEigenValue() do
  begin
   //ligne
   s:= TLineSeries.Create(self.chart);
   s.LinePen.Width:= 2;
   s.SeriesColor:= clBlue;
   s.Pointer.Visible:= true;
   s.Pointer.Style:= psRectangle;
   s.Pointer.HorizSize:= 3;
   s.Pointer.VertSize:= 1;
   s.Pointer.Pen.Color:= clNavy;
   s.AddXY(k,op.getRefEigenLo(k));
   s.AddXY(k,op.getRefEigen(k));
   //ajouter la ligne dansle graphique
   self.chart.AddSeries(s);
  end; 
 //activer le rapport
 self.pgctrlFond.ActivePageIndex:= 0;
end;

end.
