unit UFrmOpViewFactParallelAnalysis;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UFrmBaseOperator, Menus, ActnList, ComCtrls, ExtCtrls, TeEngine,
  Series, TeeProcs, Chart;

type
  TFrmOpViewFactParallelAnalysis = class(TFrmBaseOperator)
    tabChart: TTabSheet;
    chart: TChart;
    Series1: TLineSeries;
    Series2: TLineSeries;
    N1: TMenuItem;
    Copyscreediagram1: TMenuItem;
    procedure Copyscreediagram1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   PrepareView(); override;
    function    getAdditionalInfoForReport(): string; override;    
  end;

var
  FrmOpViewFactParallelAnalysis: TFrmOpViewFactParallelAnalysis;

implementation

uses UCompFactParallelAnalysis;

{$R *.dfm}

{ TFrmOpViewFactParallelAnalysis }

function TFrmOpViewFactParallelAnalysis.getAdditionalInfoForReport: string;
var s: string;
begin
 //titre
 s:= '<H3>Parallel Analysis</H3>';
 s:= s + self.addChartToReport(chart);
 result:= s;
end;

procedure TFrmOpViewFactParallelAnalysis.PrepareView;
var s1,s2: TLineSeries;
    i: integer;
    op: TOpFactPA;
begin
 //le rapport html
 inherited;
 //le graphique
 op:= self.Operator as TOpFactPA;
 s1:= self.Chart.Series[0] as TLineSeries;
 s1.Clear();
 s2:= self.Chart.Series[1] as TLineSeries;
 s2.LinePen.Width:= 2;
 s2.Clear();
 for i:= 1 to op.getDimEigenValue() do
  begin
   s1.AddXY(i,op.getObservedEigen(i));
   s2.AddXY(i,op.getRefEigen(i));
  end;
 //activer le graphique
 self.pgctrlFond.ActivePageIndex:= 1;
end;

procedure TFrmOpViewFactParallelAnalysis.Copyscreediagram1Click(
  Sender: TObject);
begin
 self.chart.CopyToClipboardMetafile(false);
end;

end.
