unit UDlgOpPrmFCBinarization;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls;

type
  TDlgOpPrmFCBinarization = class(TDlgBaseOperatorParameter)
    chkFullDesc: TCheckBox;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   ApplyModifications(); override;
    procedure   SetParameters(); override;
  end;

var
  DlgOpPrmFCBinarization: TDlgOpPrmFCBinarization;

implementation

uses UCompFCBinarizeDiscreteToContinuous;

{$R *.dfm}

{ TDlgOpPrmFCBinarization }

procedure TDlgOpPrmFCBinarization.ApplyModifications;
var prm: TOpPrmFCBinContinuous;
begin
 prm:= self.OpPrm as TOpPrmFCBinContinuous;
 prm.FullDescription:= self.chkFullDesc.Checked;
end;

procedure TDlgOpPrmFCBinarization.SetParameters;
var prm: TOpPrmFCBinContinuous;
begin
 prm:= self.OpPrm as TOpPrmFCBinContinuous;
 self.chkFullDesc.Checked:= prm.FullDescription;
end;

end.
