unit UDlgOpPrmFSStepdisc;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  lmdstdcA;

type
  TDlgOpPrmFSStepdisc = class(TDlgBaseOperatorParameter)
    TabSheet1: TTabSheet;
    GroupBox1: TGroupBox;
    chkLstSelected: TCheckBox;
    chkDetailed: TCheckBox;
    rgStoppingRule: TRadioGroup;
    rgSearch: TRadioGroup;
    edF: TEdit;
    edSig: TEdit;
    spinSubsetSize: TLMDSpinEdit;
    Label1: TLabel;
    spinColumn: TLMDSpinEdit;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   ApplyModifications(); override;
    procedure   SetParameters(); override;       
  end;

var
  DlgOpPrmFSStepdisc: TDlgOpPrmFSStepdisc;

implementation

uses UCompFSStepDisc;

{$R *.dfm}

{ TDlgOpPrmFSStepdisc }

procedure TDlgOpPrmFSStepdisc.ApplyModifications;
var prm: TOpPrmFSStepDisc;
begin
 prm:= self.OpPrm as TOpPrmFSStepDisc;
 //
 TRY
 prm.ForwardSearch:= Boolean(self.rgSearch.ItemIndex);
 prm.Criteria:= self.rgStoppingRule.ItemIndex;
 prm.FValue:= strtofloat(self.edF.Text);
 prm.SigValue:= strtofloat(self.edSig.Text);
 prm.NbAccepted:= self.spinSubsetSize.Value;
 prm.NbColSoluce:= self.spinColumn.Value;
 prm.IsShowSelected:= self.chkLstSelected.Checked;
 prm.IsShowDetailedResults:= self.chkDetailed.Checked;
 EXCEPT
 END;
end;

procedure TDlgOpPrmFSStepdisc.SetParameters;
var prm: TOpPrmFSStepDisc;
begin
 prm:= self.OpPrm as TOpPrmFSStepDisc;
 //
 self.rgSearch.ItemIndex:= ord(prm.ForwardSearch);
 self.rgStoppingRule.ItemIndex:= prm.Criteria;
 self.edF.Text:= FloatToStr(prm.FValue);
 self.edSig.Text:= FloatToStr(prm.SigValue);
 self.spinSubsetSize.Value:= prm.NbAccepted;
 self.spinColumn.Value:= prm.NbColSoluce;
 self.chkLstSelected.Checked:= prm.IsShowSelected;
 self.chkDetailed.Checked:= prm.IsShowDetailedResults;
end;

end.
