unit UDlgOpPrmFSLogRegBase;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  lmdstdcA;

type
  TDlgOpPrmFSLogRegBase = class(TDlgBaseOperatorParameter)
    tabReport: TTabSheet;
    chkDetails: TCheckBox;
    Label1: TLabel;
    spinColumnsDetails: TLMDSpinEdit;
    Label2: TLabel;
    edPValue: TEdit;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   ApplyModifications(); override;
    procedure   SetParameters(); override;     
  end;

var
  DlgOpPrmFSLogRegBase: TDlgOpPrmFSLogRegBase;

implementation

uses UCompFSLogisticRegBackward;

{$R *.dfm}

{ TDlgOpPrmSpvFSLogRegBase }

procedure TDlgOpPrmFSLogRegBase.ApplyModifications;
var prm: TOpPrmFSRegLogBase;
begin
 prm:= self.OpPrm as TOpPrmFSRegLogBase;
 prm.IsShowDetails:= self.chkDetails.Checked;
 prm.NbSoluceShowed:= self.spinColumnsDetails.Value;
 try
 prm.PValue:= StrToFloat(self.edPValue.Text);
 except
 prm.PValue:= 0.01;
 end;
end;

procedure TDlgOpPrmFSLogRegBase.SetParameters;
var prm: TOpPrmFSRegLogBase;
begin
 prm:= self.OpPrm as TOpPrmFSRegLogBase;
 self.chkDetails.Checked:= prm.IsShowDetails;
 self.spinColumnsDetails.Value:= prm.NbSoluceShowed;
 self.edPValue.Text:= FloatToStr(prm.PValue);
end;

end.
