unit JFGDlgOpPrmPLS;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  lmdstdcA;

type
  TDlgOpPrmPLS = class(TDlgBaseOperatorParameter)
    chkStd: TCheckBox;
    spinNbAxis: TLMDSpinEdit;
    Label1: TLabel;
    TabSheet1: TTabSheet;
    chkDetailed: TCheckBox;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;  
  end;

var
  DlgOpPrmPLS: TDlgOpPrmPLS;

implementation

uses JFGCompPLS;

{$R *.dfm}

{ TDlgOpPrmPLS }

procedure TDlgOpPrmPLS.ApplyModifications;
var prm: TOpPrmPLS;
begin
 prm:= OpPrm as TOpPrmPLS;
 prm.Standardize:= self.chkStd.Checked;
 prm.NbAxisCreated:= self.spinNbAxis.Value;
 prm.DetailedResult:= self.chkDetailed.Checked;
end;

procedure TDlgOpPrmPLS.SetParameters;
var prm: TOpPrmPLS;
begin
 prm:= OpPrm as TOpPrmPLS;
 self.chkStd.Checked:= prm.Standardize;
 self.spinNbAxis.Value:= prm.NbAxisCreated;
 self.chkDetailed.Checked:= prm.DetailedResult;
end;

end.
