unit UDlgOpPrmPlsConfidenceInterval;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  lmdstdcA;

type
  TDlgOpPrmPlsConfInterval = class(TDlgBaseOperatorParameter)
    spinReplication: TLMDSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    edAlpha: TEdit;
    chkShowStdResult: TCheckBox;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   ApplyModifications(); override;
    procedure   SetParameters(); override;
  end;

var
  DlgOpPrmPlsConfInterval: TDlgOpPrmPlsConfInterval;

implementation

uses UCompPLSConfidenceInterval;

{$R *.dfm}

{ TDlgOpPrmPlsConfInterval }

procedure TDlgOpPrmPlsConfInterval.ApplyModifications;
begin
 TRY
 (self.OpPrm as TOpPrmPLSConfInterval).NbReplication:= self.spinReplication.Value;
 (self.OpPrm as TOpPrmPLSConfInterval).Alpha:= strtofloat(self.edAlpha.Text);
 (self.OpPrm as TOpPrmPLSConfInterval).ShowStdResult:= self.chkShowStdResult.Checked;
 EXCEPT
 END;
end;

procedure TDlgOpPrmPlsConfInterval.SetParameters;
begin
 self.spinReplication.Value:= (self.OpPrm as TOpPrmPLSConfInterval).NbReplication;
 self.edAlpha.Text:= floattostr((self.OpPrm as TOpPrmPLSConfInterval).Alpha);
 self.chkShowStdResult.Checked:= (self.OpPrm as TOpPrmPLSConfInterval).ShowStdResult;
end;

end.
