unit UDlgOpPrmRegOutlier;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls;

type
  TDlgOpPrmRegOutlier = class(TDlgBaseOperatorParameter)
    Label1: TLabel;
    edSigLevel: TEdit;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   ApplyModifications(); override;
    procedure   SetParameters(); override;        
  end;

var
  DlgOpPrmRegOutlier: TDlgOpPrmRegOutlier;

implementation

uses UCompRegOutlierDetection;

{$R *.dfm}

{ TDlgOpPrmRegOutlier }

procedure TDlgOpPrmRegOutlier.ApplyModifications;
var sigLevel: double;
begin
 TRY
 sigLevel:= StrToFloat(self.edSigLevel.Text);
 EXCEPT
 sigLevel:= 0.05;
 END;
 if (sigLevel > 0) and (sigLevel < 1)
  then (self.OpPrm as TPrmOpRegOutlier).SigLevel:= sigLevel
  else (self.OpPrm as TPrmOpRegOutlier).SigLevel:= 0.05;
end;

procedure TDlgOpPrmRegOutlier.SetParameters;
begin
 self.edSigLevel.Text:= FloatToStr((self.OpPrm as TPrmOpRegOutlier).SigLevel);
end;

end.
