unit UDlgOpPrmRegSvmNu;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  LMDCustomControl, LMDCustomPanel, LMDCustomBevelPanel, LMDBaseEdit,
  LMDCustomEdit, LMDCustomMaskEdit, LMDMaskEdit, LMDControl,
  LMDBaseControl, LMDBaseGraphicControl, LMDBaseLabel,
  LMDCustomSimpleLabel, LMDSimpleLabel;

type
  TdlgOpPrmRegSvmNu = class(TDlgBaseOperatorParameter)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label6: TLabel;
    LMDSimpleLabel1: TLMDSimpleLabel;
    Label7: TLabel;
    cmbKernelType: TComboBox;
    edDegree: TLMDMaskEdit;
    edGamma: TLMDMaskEdit;
    edCoef0: TLMDMaskEdit;
    edCost: TLMDMaskEdit;
    edNu: TLMDMaskEdit;
    TabSheet2: TTabSheet;
    Label5: TLabel;
    edTolerance: TLMDMaskEdit;
    chkShrinking: TCheckBox;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;      
  end;

var
  dlgOpPrmRegSvmNu: TdlgOpPrmRegSvmNu;

implementation

uses UCompRegSvmNu;

{$R *.dfm}

procedure TdlgOpPrmRegSvmNu.ApplyModifications;
var prm: TopPrmRegNuSvr;
begin
 prm:= self.OpPrm as TopPrmRegNuSvr;
 //rcuprer les paramtres
 TRY
 prm._kernel_type:= self.cmbKernelType.ItemIndex;
 prm.degree:= strtofloat(self.edDegree.Text);
 prm.gamma:= strtofloat(self.edGamma.Text);
 prm.coef0:= strtofloat(self.edCoef0.Text);
 prm.C:= strtofloat(self.edCost.Text);
 prm.eps:= strtofloat(self.edTolerance.Text);
 prm.shrinking:= integer(self.chkShrinking.Checked);
 prm.SvmTypeNu:= strtofloat(self.edNu.Text);
 EXCEPT
 END;
end;

procedure TdlgOpPrmRegSvmNu.SetParameters;
var prm: TopPrmRegNuSvr;
begin
 prm:= self.OpPrm as TopPrmRegNuSvr;
 //passer les paramtres
 self.cmbKernelType.ItemIndex:= prm._kernel_type;
 self.edDegree.Text:= floattostr(prm.degree);
 self.edGamma.Text:= floattostr(prm.gamma);
 self.edCoef0.Text:= floattostr(prm.coef0);
 self.edCost.Text:= floattostr(prm.C);
 self.edTolerance.Text:= floattostr(prm.eps);
 self.chkShrinking.Checked:= boolean(prm.shrinking);
 self.edNu.Text:= floattostr(prm.SvmTypeNu);
end;


end.
