unit UDlgOpPrmBaseCostSensitive;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls, Grids,
  lmdstdcA;

type
  TdlgOpPrmMetaSpvCostSensitiveBase = class(TDlgBaseOperatorParameter)
    tabCost: TTabSheet;
    Label1: TLabel;
    spinSize: TLMDSpinEdit;
    gridCost: TStringGrid;
    Label2: TLabel;
    procedure spinSizeChange(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    {Rcupration des modifs sur le paramtrage - surcharge obligatoire}
    procedure   ApplyModifications(); override;
    {Mettre  jour la bote de paramtrage par rapport  l'tat actuel des paramtres}
    procedure   SetParameters(); override;
  end;

var
  dlgOpPrmMetaSpvCostSensitiveBase: TdlgOpPrmMetaSpvCostSensitiveBase;

implementation

uses UCompMetaSpvGenericCostSensitive;

{$R *.dfm}

procedure TdlgOpPrmMetaSpvCostSensitiveBase.ApplyModifications;
begin
 (OpPrm as TOpPrmMetaSpvCostSensitive).MatCost.getCostsFromGrid(gridCost);
end;

procedure TdlgOpPrmMetaSpvCostSensitiveBase.SetParameters;
begin
 spinSize.Value:=(OpPrm as TOpPrmMetaSpvCostSensitive).MatCost.Size;
 (OpPrm as TOpPrmMetaSpvCostSensitive).MatCost.setCostsToGrid(gridCost);
end;

procedure TdlgOpPrmMetaSpvCostSensitiveBase.spinSizeChange(
  Sender: TObject);
var i,j: integer;
begin
 //retailler la grille
 gridCost.RowCount:= spinSize.Value+1;
 gridCost.ColCount:= spinSize.Value+1;
 for i:= 1 to pred(gridCost.RowCount) do
  begin
   gridCost.Cells[i,0]:= IntToStr(i);
   gridCost.Cells[0,i]:= IntToStr(i);
  end;
 //remplir automatiquement les cellules vides
 for i:= 1 to pred(gridCost.RowCount) do
  for j:= 1 to pred(gridCost.ColCount) do
   begin
    if (gridCost.Cells[j,i]='')
     then
      begin
       if (i <> j)
        then gridCost.Cells[j,i]:= '1'
        else gridCost.Cells[j,i]:= '0'
      end;
   end;
end;

end.
