unit UDlgOpPrmCommitteeCostSensitive;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgOpPrmBaseCostSensitive, Grids, StdCtrls, lmdstdcA, ComCtrls,
  ExtCtrls;

type
  TdlgOpPrmMetaSpvCSCommittee = class(TdlgOpPrmMetaSpvCostSensitiveBase)
    spinReplication: TLMDSpinEdit;
    cmbGenerator: TComboBox;
    Label3: TLabel;
    Label4: TLabel;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   ApplyModifications(); override;
    procedure   SetParameters(); override;
  end;

var
  dlgOpPrmMetaSpvCSCommittee: TdlgOpPrmMetaSpvCSCommittee;

implementation

uses UCompMetaSpvCSCommitte;

{$R *.dfm}

{ TdlgOpPrmMetaSpvCSCommittee }

procedure TdlgOpPrmMetaSpvCSCommittee.ApplyModifications;
var prm: TOpPrmMetaSpvCSCommitte;
begin
 inherited;
 prm:= OpPrm as TOpPrmMetaSpvCSCommitte;
 prm.NbInstances:= self.spinReplication.Value;
 prm.RndMode:= self.cmbGenerator.ItemIndex;
end;

procedure TdlgOpPrmMetaSpvCSCommittee.SetParameters;
var prm: TOpPrmMetaSpvCSCommitte;
begin
 inherited;
 prm:= OpPrm as TOpPrmMetaSpvCSCommitte;
 self.spinReplication.Value:= prm.NbInstances;
 self.cmbGenerator.ItemIndex:= prm.RndMode;
end;

end.
