unit UFrmOpSingleSpvLearning;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UFrmBaseOperator, Menus, ActnList, ComCtrls, ExtCtrls, UOperatorDefinition;

type
  TFrmOpViewSingleSpvLearning = class(TFrmBaseOperator)
    actExportId3Rules: TAction;
    menuExportId3Rules: TMenuItem;
    svDlgRules: TSaveDialog;
    procedure actExportId3RulesExecute(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    constructor CreateFromOperator(prmOp: TOperator); override;
  end;

var
  FrmOpViewSingleSpvLearning: TFrmOpViewSingleSpvLearning;

implementation

uses UCompMetaSpvOneInstance, UCompSpvTreeID3;

{$R *.dfm}

{ TFrmOpViewSingleSpvLearning }

constructor TFrmOpViewSingleSpvLearning.CreateFromOperator(
  prmOp: TOperator);
begin
 inherited CreateFromOperator(prmOp);
 //puis dans le cas particulier de ID3, ajouter un menu...
 if (prmOp is TOpOneInstance) and ((prmOp as TOpOneInstance).Classifier is TCalcSpvTree)
  then self.menuExportId3Rules.Visible:= TRUE;
end;

procedure TFrmOpViewSingleSpvLearning.actExportId3RulesExecute(
  Sender: TObject);
var lst: TStringList;
begin
 //envoyer les rgles au format .RUL de SELFMIND
 if self.svDlgRules.Execute()
  then
   begin
    //sauver les rgles dans le filename saisi par l'utilisateur
    lst:= ((self.Operator as TOpOneInstance).Classifier as TCalcSpvTree).getRules_SelfMindFormat();
    lst.SaveToFile(self.svDlgRules.FileName);
    lst.Free();
   end;
end;

end.
