unit UDlgOpPrmSpvNaiveBayesContinuous;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls;

type
  TdlgOpPrmSpvNaiveBayesCont = class(TDlgBaseOperatorParameter)
    edLambda: TEdit;
    lblLambda: TLabel;
    chkHomosceastic: TCheckBox;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   ApplyModifications(); override;
    procedure   SetParameters(); override;    
  end;

var
  dlgOpPrmSpvNaiveBayesCont: TdlgOpPrmSpvNaiveBayesCont;

implementation

uses UCompSpvNaiveBayesContinuous;

{$R *.dfm}

{ TdlgOpPrmSpvNaiveBayesCont }

procedure TdlgOpPrmSpvNaiveBayesCont.ApplyModifications;
begin
 try
 (OpPrm as TOpPrmNaiveBayesContinuous).lambdaLaplacian:= StrToFloat(self.edLambda.Text);
 except
 (OpPrm as TOpPrmNaiveBayesContinuous).lambdaLaplacian:= 0.0;
 end;
 if ((OpPrm as TOpPrmNaiveBayesContinuous).lambdaLaplacian < 0.0) then (OpPrm as TOpPrmNaiveBayesContinuous).lambdaLaplacian:= 0.0;
 (OpPrm as TOpPrmNaiveBayesContinuous).homoscedastic:= self.chkHomosceastic.Checked;
end;

procedure TdlgOpPrmSpvNaiveBayesCont.SetParameters;
begin
 self.edLambda.Text:= FloatToStr((OpPrm as TOpPrmNaiveBayesContinuous).lambdaLaplacian);
 self.chkHomosceastic.Checked:= (OpPrm as TOpPrmNaiveBayesContinuous).homoscedastic;
end;

end.
