unit UDlgOpPrmSpvPLSDA;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  lmdstdcA;

type
  TdlgOpPrmSpvPlsDa = class(TDlgBaseOperatorParameter)
    Label1: TLabel;
    spinAxis: TLMDSpinEdit;
    edCutValue: TEdit;
    Label2: TLabel;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;      
  end;

var
  dlgOpPrmSpvPlsDa: TdlgOpPrmSpvPlsDa;

implementation

uses UCompSpvCPLS;

{$R *.dfm}

{ TdlgOpPrmSpvPlsDa }

procedure TdlgOpPrmSpvPlsDa.ApplyModifications;
var prm: TOpPrmCPLS;
begin
 prm:= self.OpPrm as TOpPrmCPLS;
 prm.NbAxis:= self.spinAxis.Value;
 TRY
 prm.RdYCutValue:= strtofloat(self.edCutValue.Text);
 EXCEPT
 prm.RdYCutValue:= 0.01;
 END;
end;

procedure TdlgOpPrmSpvPlsDa.SetParameters;
var prm: TOpPrmCPLS;
begin
 prm:= self.OpPrm as TOpPrmCPLS;
 self.spinAxis.Value:= prm.NbAxis;
 self.edCutValue.Text:= floattostr(prm.RdYCutValue);
end;

end.
