unit UDlgOpPrmSpvAssesLVO;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  LMDCustomControl, LMDCustomPanel, LMDCustomBevelPanel, LMDBaseEdit,
  LMDCustomEdit, LMDCustomBrowseEdit, LMDFileSaveEdit;

type
  TdlgOpPrmSpvAssesLVO = class(TDlgBaseOperatorParameter)
    GroupBox1: TGroupBox;
    chkSave: TCheckBox;
    edSave: TLMDFileSaveEdit;
    procedure chkSaveClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;    
  end;

var
  dlgOpPrmSpvAssesLVO: TdlgOpPrmSpvAssesLVO;

implementation

uses UCompSpvAssesLeaveOneOut;

{$R *.dfm}

{ TdlgOpPrmSpvAssesLVO }

procedure TdlgOpPrmSpvAssesLVO.ApplyModifications;
var prm: TOpPrmAssesLVO;
begin
 prm:= OpPrm as TOpPrmAssesLVO;
 prm.SaveResults:= self.chkSave.Checked;
 prm.FileNameResults:= self.edSave.Filename; 
end;

procedure TdlgOpPrmSpvAssesLVO.SetParameters;
var prm: TOpPrmAssesLVO;
begin
 prm:= OpPrm as TOpPrmAssesLVO;
 self.chkSave.Checked:= prm.SaveResults;
 self.edSave.Filename:= prm.FileNameResults;
 self.chkSaveClick(NIL); 
end;

procedure TdlgOpPrmSpvAssesLVO.chkSaveClick(Sender: TObject);
begin
 if self.chkSave.Checked
  then self.edSave.Enabled:= TRUE
  else self.edSave.Enabled:= FALSE;
end;

end.
