unit UDlgOpPrmCatVarClusHAC;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls, Spin,
  lmdstdcA;

type
  TdlgOpPrCatVarClusHAC = class(TDlgBaseOperatorParameter)
    rgBestClus: TRadioGroup;
    lmdSpinClusters: TLMDSpinEdit;
    GroupBox1: TGroupBox;
    chkTreeStructure: TCheckBox;
    chkIndexSelection: TCheckBox;
    spinLevel: TSpinEdit;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    cmbLinkage: TComboBox;
    procedure rgBestClusClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   ApplyModifications(); override;
    procedure   SetParameters(); override;    
  end;

var
  dlgOpPrCatVarClusHAC: TdlgOpPrCatVarClusHAC;

implementation

uses UCompCatVarClusHAC;

{$R *.dfm}

{ TdlgOpPrCatVarClusHAC }

procedure TdlgOpPrCatVarClusHAC.ApplyModifications;
var prm: TPrmOpCatVarClusHCA;
begin
 prm:= OpPrm as TPrmOpCatVarClusHCA;
 prm.ModeBestSelection:= self.rgBestClus.ItemIndex;
 prm.NbClusters:= self.lmdSpinClusters.Value;
 prm.ShowTreeStructure:= self.chkTreeStructure.Checked;
 prm.ShowIndexSelection:= self.chkIndexSelection.Checked;
 prm.MaxIndexLevel:= self.spinLevel.Value;
 prm.LinkageType:= self.cmbLinkage.ItemIndex;
end;

procedure TdlgOpPrCatVarClusHAC.SetParameters;
var prm: TPrmOpCatVarClusHCA;
begin
 prm:= OpPrm as TPrmOpCatVarClusHCA;
 self.rgBestClus.ItemIndex:= prm.ModeBestSelection;
 self.lmdSpinClusters.Value:= prm.NbClusters;
 self.chkTreeStructure.Checked:= prm.ShowTreeStructure;
 self.chkIndexSelection.Checked:= prm.ShowIndexSelection;
 self.spinLevel.Value:= prm.MaxIndexLevel;
 self.cmbLinkage.ItemIndex:= prm.LinkageType;
end;

procedure TdlgOpPrCatVarClusHAC.rgBestClusClick(Sender: TObject);
begin
 if (self.rgBestClus.ItemIndex = 1)
  then self.lmdSpinClusters.Enabled:= TRUE
  else self.lmdSpinClusters.Enabled:= FALSE;
end;

end.
