unit UDlgOpPrmVarClusBase;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls;

type
  TDlgOpPrmVarClusBase = class(TDlgBaseOperatorParameter)
    TabSheet1: TTabSheet;
    GroupBox1: TGroupBox;
    chkRSquare: TCheckBox;
    chkCorrelation: TCheckBox;
    chkRegCoef: TCheckBox;
    edCorr: TEdit;
    Label4: TLabel;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
   {rcuprer la liste de variables slectionnes}
   procedure   ApplyModifications(); override;
   {rcuprer pour affichage la liste des variables}
   procedure   SetParameters(); override;    
  end;

var
  DlgOpPrmVarClusBase: TDlgOpPrmVarClusBase;

implementation

uses UCompVarClusBase;

{$R *.dfm}

{ TDlgOpPrmVarClusBase }

procedure TDlgOpPrmVarClusBase.ApplyModifications;
var prm: TOpPrmVarClus;
begin
 prm:= self.OpPrm as TOpPrmVarClus;
 prm.ShowRSquare:= self.chkRSquare.checked;
 prm.ShowCorrelation:= self.chkCorrelation.Checked;
 prm.ShowRegCoef:= self.chkRegCoef.Checked;
 TRY
 prm.CorrThreshold:= StrToFloat(self.edCorr.Text);
 EXCEPT
 prm.CorrThreshold:= 0.7;
 END;
end;

procedure TDlgOpPrmVarClusBase.SetParameters;
var prm: TOpPrmVarClus;
begin
 prm:= self.OpPrm as TOpPrmVarClus;
 self.chkRSquare.checked:= prm.ShowRSquare;
 self.chkCorrelation.Checked:= prm.ShowCorrelation;
 self.chkRegCoef.Checked:= prm.ShowRegCoef;
 self.edCorr.Text:= FloatToStr(prm.CorrThreshold);
end;

end.
