unit UDlgOpPrmVarClusTopDown;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgOpPrmVarClusBase, StdCtrls, ComCtrls, ExtCtrls, lmdstdcA;

type
  TDlgOpPrmVarClusTopDown = class(TDlgOpPrmVarClusBase)
    rgDefineCluster: TRadioGroup;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    edEigen: TEdit;
    spinMaxNbClusters: TLMDSpinEdit;
    Label2: TLabel;
    spinUserCluster: TLMDSpinEdit;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    {rcuprer la liste de variables slectionnes}
    procedure   ApplyModifications(); override;
    {rcuprer pour affichage la liste des variables}
    procedure   SetParameters(); override;
  end;

var
  DlgOpPrmVarClusTopDown: TDlgOpPrmVarClusTopDown;

implementation

uses UCompVarClusTopDown;

{$R *.dfm}

{ TDlgOpPrmVarClusTopDown }

procedure TDlgOpPrmVarClusTopDown.ApplyModifications;
var prm: TPrmOpVarClusTD;
begin
 inherited;
 prm:= self.OpPrm as TPrmOpVarClusTD;
 prm.MaxNbClusters:= self.spinMaxNbClusters.Value;
 prm.UserNbClusters:= self.spinUserCluster.Value;
 prm.ModeBestSelection:= self.rgDefineCluster.ItemIndex;
 try
 prm.MinEigVal:= StrToFloat(self.edEigen.Text);
 except
 prm.MinEigVal:= 1.0;
 end;
end;

procedure TDlgOpPrmVarClusTopDown.SetParameters;
var prm: TPrmOpVarClusTD;
begin
 inherited;
 prm:= self.OpPrm as TPrmOpVarClusTD;
 self.edEigen.Text:= FloatToStr(prm.MinEigVal);
 self.spinMaxNbClusters.Value:= prm.MaxNbClusters;
 self.spinUserCluster.Value:= prm.UserNbClusters;
 self.rgDefineCluster.ItemIndex:= prm.ModeBestSelection;
end;

end.
