(******************************************************************)
(* UFrmDiagramManager.pas - Copyright (c) 2004 Ricco RAKOTOMALALA *)
(******************************************************************)

{
@abstract(Fiche de gestion d'un diagramme machine learning)
@author(Ricco)
@created(12/01/2004)
Cette fiche est directement associe au gestionnaire de diagramme de data mining. Il vient juste aprs la
cration du diagramme et la connexion aux donnes.
}
unit UFrmDiagramManager;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, UFrmBase, UCompDefinition, UPaletteGenCompDefinition,
  LMDCustomComponent, LMDCustomHint, LMDCustomShapeHint, LMDMessageHint;

type
  {fiche de gestion du diagramme - la connexion est directe, on peut y dlguer une partie des traitements}
  TFrmDiagramManager = class(TFrmBase)
    tvMLDiagram: TTreeView;
    dgmMsgHint: TLMDMessageHint;
    procedure dgmMsgHintCloseHintWindow(Sender: TObject);
    procedure tvMLDiagramKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    {pointeur vers le diagramme}
    FMLDiagram: TMLDiagram;
  public
    constructor CreateFromDiagram(AOwner: TComponent; prmMLDiagram: TMLDiagram);
  end;

var
  FrmDiagramManager: TFrmDiagramManager;

implementation

uses ULogFile, UConstConfiguration;

{$R *.dfm}

{ TFrmDiagramManager }

constructor TFrmDiagramManager.CreateFromDiagram(AOwner: TComponent;
  prmMLDiagram: TMLDiagram);
begin
 //connecting people before pour les ventuelles connexions et autres pr-traitements
 FMLDiagram:= prmMLDiagram;
 //ok...
 inherited Create(AOwner);
end;

procedure TFrmDiagramManager.dgmMsgHintCloseHintWindow(Sender: TObject);
begin
 self.dgmMsgHint.Color:= clInfoBk;
end;

procedure TFrmDiagramManager.tvMLDiagramKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
 inherited;
 //suggested by GongYu - utiliser la touche SUPPR pour supprimer l'lment slectionn - 09/10/2007
 if (key = VK_DELETE)
  then FMLDiagram.DelCurMLComponent();
end;

end.
