unit UCompSDKS2SampleTest;

interface

USES
   UCompDefinition, UOperatorDefinition,
   UCompSDCondDescDefinition,UCalcStatDesConditionnalDesc;

TYPE
   //gnrateur
   TMLGenCompSDKS2SampleTest = class(TMLGenComp)
   protected
   procedure   GenCompInitializations(); override;
   public
   function    GetClassMLComponent: TClassMLComponent; override;
   end;

   //composant
   TMLCompSDKS2SampleTest = class(TMLCompSDCondDescDefinition)
   protected
   function    getClassOperator: TClassOperator; override;
   end;

   //oprateur
   TOpSDKS2SampleTest = class(TOpSDCondDescBinary)
   protected
   function    getClassStat(): TClassCalcSDCondDesc; override;
   function    getClassLstStat(): TClassLstCalcStatDesCond; override;
   function    getClassParameter: TClassOperatorParameter; override;
   end;

   //paramtrage
   TOpSDPrmKS2SampleTest = class(TOpPrmSDCondDescDefinition)
   end;

implementation

USES
    Classes,
    UCalcSDCondDescKolmogorov2S;

{ TMLGenCompSDKS2SampleTest }

procedure TMLGenCompSDKS2SampleTest.GenCompInitializations;
begin
 FMLComp:= mlcNonParametricStatistics;
end;

function TMLGenCompSDKS2SampleTest.GetClassMLComponent: TClassMLComponent;
begin
 result:= TMLCompSDKS2SampleTest;
end;

{ TMLCompSDKS2SampleTest }

function TMLCompSDKS2SampleTest.getClassOperator: TClassOperator;
begin
 result:= TOpSDKS2SampleTest;
end;

{ TOpSDKS2SampleTest }

function TOpSDKS2SampleTest.getClassLstStat: TClassLstCalcStatDesCond;
begin
 result:= TLstCalcSDCondDescKS2SampleTest;
end;

function TOpSDKS2SampleTest.getClassParameter: TClassOperatorParameter;
begin
 result:= TOpSDPrmKS2SampleTest;
end;

function TOpSDKS2SampleTest.getClassStat: TClassCalcSDCondDesc;
begin
 result:= TCalcSDCondDescKS2SampleTest;
end;

initialization
 RegisterClass(TMLGenCompSDKS2SampleTest);
end.
