(*************************************************************************)
(* UCompSDPairedTestVariance.pas - Copyright (c) 2008 Ricco RAKOTOMALALA *)
(*************************************************************************)

{
@abstract(Comparaison de variances sur chantillons apparis)
@author(Ricco)
@created(11/07/2008)

Voir support en ligne
http://eric.univ-lyon2.fr/~ricco/cours/cours/Analyse_de_Correlation.pdf
pages 53-54

}


unit UCompSDPairedTestVariance;

interface

USES
   UCompDefinition, UOperatorDefinition,
   UCompSDPairedTestDefinition,UCalcStatDesPairedTest;

TYPE
   //gnrateur
   TMLGenCompSDPairedVTest = class(TMLGenComp)
                          protected
                          procedure   GenCompInitializations(); override;
                          public
                          function    GetClassMLComponent: TClassMLComponent; override;
                          end;

   //composant
   TMLCompSDPairedVTest = class(TMLCompSDPairedTestDefintion)
                       protected
                       function    getClassOperator: TClassOperator; override;
                       end;

   //oprateur
   TOpSDPairedVTest = class(TOpSDPairedTestDefinition)
                   protected
                   function    getClassStat(): TClassCalcSDPairedTest; override;
                   function    getClassLstStat(): TClassLstCalcSDPairedTest; override;
                   function    getClassParameter: TClassOperatorParameter; override;
                   end;

   //paramtrage
   TOpSDPrmPairedVTest = class(TOpPrmSDPairedTestDefinition)
                      end;



implementation

USES
   Classes;

{ TMLGenCompSDPairedVTest }

procedure TMLGenCompSDPairedVTest.GenCompInitializations;
begin
 FMLComp:= mlcDescriptiveStat;
end;

function TMLGenCompSDPairedVTest.GetClassMLComponent: TClassMLComponent;
begin
 result:= TMLCompSDPairedVTest;
end;

{ TMLCompSDPairedVTest }

function TMLCompSDPairedVTest.getClassOperator: TClassOperator;
begin
 result:= TOpSDPairedVTest;
end;

{ TOpSDPairedVTest }

function TOpSDPairedVTest.getClassLstStat: TClassLstCalcSDPairedTest;
begin
 result:= TLstCalcSDPairedVTest;
end;

function TOpSDPairedVTest.getClassParameter: TClassOperatorParameter;
begin
 result:= TOpSDPrmPairedVTest;
end;

function TOpSDPairedVTest.getClassStat: TClassCalcSDPairedTest;
begin
 result:= TCalcSDPairedVTest;
end;

initialization
 RegisterClass(TMLGenCompSDPairedVTest);
end.
