unit UDlgOpPrmFactAnalysisAFC;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  lmdstdcA;

type
  TDlgOpPrmFactAnalysisAFC = class(TDlgBaseOperatorParameter)
    Label1: TLabel;
    spinAxis: TLMDSpinEdit;
    chkContrib: TCheckBox;
    chkSort: TCheckBox;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;      
  end;

var
  DlgOpPrmFactAnalysisAFC: TDlgOpPrmFactAnalysisAFC;

implementation

uses UCompFactAnalysisAFC;

{$R *.dfm}

{ TDlgOpPrmFactAnalysisAFC }

procedure TDlgOpPrmFactAnalysisAFC.ApplyModifications;
var prm: TOpPrmFactAFC;
begin
 prm:= self.OpPrm as TOpPrmFactAFC;
 prm.AskNbAxis:= self.spinAxis.Value;
 prm.IsComputeContrib:= self.chkContrib.Checked;
 prm.SortValuesOnCtr:= self.chkSort.Checked;
end;

procedure TDlgOpPrmFactAnalysisAFC.SetParameters;
var prm: TOpPrmFactAFC;
begin
 prm:= self.OpPrm as TOpPrmFactAFC;
 self.spinAxis.Value:= prm.AskNbAxis;
 self.chkContrib.Checked:= prm.IsComputeContrib;
 self.chkSort.Checked:= prm.SortValuesOnCtr;
end;

end.
