unit UDlgOpPrmFactAFDM;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  lmdstdcA;

type
  TDlgOpPrmFactAFDM = class(TDlgBaseOperatorParameter)
    Label1: TLabel;
    spinFactors: TLMDSpinEdit;
    chkCos2: TCheckBox;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;  
  end;

var
  DlgOpPrmFactAFDM: TDlgOpPrmFactAFDM;

implementation

uses UCompFactAnalysisAFDM;

{$R *.dfm}

{ TDlgOpPrmFactAFDM }

procedure TDlgOpPrmFactAFDM.ApplyModifications;
var prm: TOpPrmFactAFDM;
begin
 prm:= self.OpPrm as TOpPrmFactAFDM;
 prm.Cos2Ctr:= self.chkCos2.Checked;
 prm.NbAxis:= self.spinFactors.Value;
end;

procedure TDlgOpPrmFactAFDM.SetParameters;
var prm: TOpPrmFactAFDM;
begin
 prm:= self.OpPrm as TOpPrmFactAFDM;
 self.chkCos2.Checked:= prm.Cos2Ctr;
 self.spinFactors.Value:= prm.NbAxis;
end;

end.
