unit UDlgOpPrmFactParallelAnalysis;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls, Spin;

type
  TDlgOpPrmFactParallelAnalysis = class(TDlgBaseOperatorParameter)
    Label1: TLabel;
    spinReplications: TSpinEdit;
    Label2: TLabel;
    edConfidence: TEdit;
    Label3: TLabel;
    spinSeed: TSpinEdit;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;      
  end;

var
  DlgOpPrmFactParallelAnalysis: TDlgOpPrmFactParallelAnalysis;

implementation

uses UCompFactParallelAnalysis;

{$R *.dfm}

{ TDlgOpPrmFactParallelAnalysis }

procedure TDlgOpPrmFactParallelAnalysis.ApplyModifications;
var prm: TOpPrmFactPA;
begin
 prm:= self.OpPrm as TOpPrmFactPA;
 prm.NbReplication:= self.spinReplications.Value;
 prm.SeedRnd:= self.spinSeed.Value;
 Try
 prm.Percentile:= StrToFloat(self.edConfidence.Text);
 Except
 prm.Percentile:= 0.95;
 End;
end;

procedure TDlgOpPrmFactParallelAnalysis.SetParameters;
var prm: TOpPrmFactPA;
begin
 prm:= self.OpPrm as TOpPrmFactPA;
 self.spinReplications.Value:= prm.NbReplication;
 self.edConfidence.Text:= FloatToStr(prm.Percentile);
 self.spinSeed.Value:= prm.SeedRnd;
end;

end.
