unit UDlgOpPrmFSRelieff;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls, Spin;

type
  TdlgOpPrmFSRelieff = class(TDlgBaseOperatorParameter)
    Label1: TLabel;
    rgSampling: TRadioGroup;
    spinSample: TSpinEdit;
    spinNeighbors: TSpinEdit;
    rgSelection: TRadioGroup;
    spinBest: TSpinEdit;
    edThreshold: TEdit;
    Label2: TLabel;
    spinSeed: TSpinEdit;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   ApplyModifications(); override;
    procedure   SetParameters(); override;    
  end;

var
  dlgOpPrmFSRelieff: TdlgOpPrmFSRelieff;

implementation

uses UCompFSRelieff;

{$R *.dfm}

{ TdlgOpPrmFSRelieff }

procedure TdlgOpPrmFSRelieff.ApplyModifications;
var prm: TOpPrmFSRelieff;
begin
 prm:= self.OpPrm as TOpPrmFSRelieff;
 prm.K:= self.spinNeighbors.Value;
 prm.UseSampling:= (self.rgSampling.ItemIndex = 1);
 prm.m:= self.spinSample.Value;
 prm.Seed:= self.spinSeed.Value;
 prm.ModeSel:= TModeSelVarRelieff(self.rgSelection.ItemIndex);
 prm.NbBest:= self.spinBest.Value;
 TRY
 prm.Threshold:= StrToFloat(self.edThreshold.Text);
 Except
 prm.Threshold:= 0.0;
 End;
end;

procedure TdlgOpPrmFSRelieff.SetParameters;
var prm: TOpPrmFSRelieff;
begin
 prm:= self.OpPrm as TOpPrmFSRelieff;
 self.spinNeighbors.Value:= prm.K;
 self.rgSampling.ItemIndex:= ord(prm.UseSampling);
 self.spinSample.Value:= prm.m;
 self.spinSeed.Value:= prm.Seed;
 self.rgSelection.ItemIndex:= ord(prm.ModeSel);
 self.edThreshold.Text:= FloatToStr(prm.Threshold);
 self.spinBest.Value:= prm.NbBest;
end;

end.
