unit UFrmOpViewFSStepdisc;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UFrmBaseOperator, Menus, ActnList, ComCtrls, ExtCtrls, TeEngine,
  Series, TeeProcs, Chart;

type
  TFrmOpViewFSStepdisc = class(TFrmBaseOperator)
    tabLambda: TTabSheet;
    chartLambda: TChart;
    Series1: TLineSeries;
    N1: TMenuItem;
    ShowHidemarks1: TMenuItem;
    Copychart1: TMenuItem;
    procedure ShowHidemarks1Click(Sender: TObject);
    procedure Copychart1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure   PrepareView(); override;
  end;

var
  FrmOpViewFSStepdisc: TFrmOpViewFSStepdisc;

implementation

uses UCompFSStepDisc, UCalcFSStepDisc;

{$R *.dfm}

{ TFrmOpViewFSStepdisc }

procedure TFrmOpViewFSStepdisc.PrepareView;
var Op: TOpFSStepDisc;
    serie: TLineSeries;
    i: integer;
    res: TResultat; 
begin
 //envoyer le contenu du rapport HTML
 inherited;
 //dessiner le graphique des lambda
 Op:= self.Operator as TOpFSStepDisc;
 serie:= chartLambda.Series[0] as TLineSeries;
 serie.ValueFormat:= '#.000';
 serie.Clear();
 for i:= 1 to Op.Soluce.getCountLevel() do
  begin
   res:= Op.Soluce.getLevel(pred(i)).Best;
   if (res <> nil)
    then serie.AddXY(i,res.Lambda);
  end;
 //activer le rapport
 self.pgctrlFond.ActivePageIndex:= 0;
end;

procedure TFrmOpViewFSStepdisc.ShowHidemarks1Click(Sender: TObject);
begin
 chartLambda.Series[0].Marks.Visible:= not(chartLambda.Series[0].Marks.Visible);
end;

procedure TFrmOpViewFSStepdisc.Copychart1Click(Sender: TObject);
begin
 chartLambda.CopyToClipboardMetafile(true);
end;

end.
