unit UDlgOpPrmSpvTreeCSCART;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgOpPrmSpvTreeCART, StdCtrls, ExtCtrls, LMDCustomControl,
  LMDCustomPanel, LMDCustomBevelPanel, LMDBaseEdit, LMDCustomEdit,
  LMDCustomMaskEdit, LMDMaskEdit, lmdstdcA, ComCtrls, Grids;

type
  TdlgOpPrmSpvTreeCSCART = class(TdlgOpprmSpvTreeCART)
    tabCost: TTabSheet;
    Label4: TLabel;
    spinSize: TLMDSpinEdit;
    gridCost: TStringGrid;
    Label5: TLabel;
    procedure spinSizeChange(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;      
  end;

var
  dlgOpPrmSpvTreeCSCART: TdlgOpPrmSpvTreeCSCART;

implementation

uses UCompSpvCSTreeCART;

{$R *.dfm}

{ TdlgOpPrmSpvTreeCSCART }

procedure TdlgOpPrmSpvTreeCSCART.ApplyModifications;
begin
 inherited;
 (OpPrm as TOpPrmSpvCSTreeCART).CostMatrix.getCostsFromGrid(gridCost);
end;

procedure TdlgOpPrmSpvTreeCSCART.SetParameters;
begin
 inherited;
 spinSize.Value:=(OpPrm as TOpPrmSpvCSTreeCART).CostMatrix.Size;
 (OpPrm as TOpPrmSpvCSTreeCART).CostMatrix.setCostsToGrid(gridCost);
end;

procedure TdlgOpPrmSpvTreeCSCART.spinSizeChange(Sender: TObject);
var i,j: integer;
begin
 //retailler la grille
 gridCost.RowCount:= spinSize.Value+1;
 gridCost.ColCount:= spinSize.Value+1;
 for i:= 1 to pred(gridCost.RowCount) do
  begin
   gridCost.Cells[i,0]:= IntToStr(i);
   gridCost.Cells[0,i]:= IntToStr(i);
  end;
 //remplir automatiquement les cellules vides
 for i:= 1 to pred(gridCost.RowCount) do
  for j:= 1 to pred(gridCost.ColCount) do
   begin
    if (gridCost.Cells[j,i]='')
     then
      begin
       if (i <> j)
        then gridCost.Cells[j,i]:= '1'
        else gridCost.Cells[j,i]:= '0'
      end;
   end;
end;

end.
