unit UDlgOpPrmSpvTRIRLS;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgBaseOperatorParameter, ComCtrls, StdCtrls, ExtCtrls,
  LMDControl, LMDBaseControl, LMDBaseGraphicControl, LMDBaseLabel,
  LMDCustomSimpleLabel, LMDSimpleLabel, Spin;

type
  TdlgOpPrmSpvTRIRLS = class(TDlgBaseOperatorParameter)
    LMDSimpleLabel1: TLMDSimpleLabel;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    edLambda: TEdit;
    GroupBox2: TGroupBox;
    Label2: TLabel;
    edDeveps: TEdit;
    Label3: TLabel;
    spincgmax: TSpinEdit;
    GroupBox3: TGroupBox;
    Label4: TLabel;
    Label5: TLabel;
    edlreps: TEdit;
    spinlrmax: TSpinEdit;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;
  end;

var
  dlgOpPrmSpvTRIRLS: TdlgOpPrmSpvTRIRLS;

implementation

uses UCompSpvTrirls;

{$R *.dfm}

{ TdlgOpPrmSpvTRIRLS }

procedure TdlgOpPrmSpvTRIRLS.ApplyModifications;
var prm: TOpPrmTRIRLS;
begin
 prm:= self.OpPrm as TOpPrmTRIRLS;
 try
 prm.rrlambda:= strtofloat(self.edLambda.Text);
 prm.cgdeveps:= strtofloat(self.edDeveps.Text);
 prm.cgmax:= self.spincgmax.Value;
 prm.lreps:= strtofloat(self.edlreps.Text);
 prm.lrmax:= self.spinlrmax.Value;
 except
 end;
end;

procedure TdlgOpPrmSpvTRIRLS.SetParameters;
var prm: TOpPrmTRIRLS;
begin
 prm:= self.OpPrm as TOpPrmTRIRLS;
 self.edLambda.Text:= floattostr(prm.rrlambda);
 self.edDeveps.Text:= floattostr(prm.cgdeveps);
 self.spincgmax.value:= prm.cgmax;
 self.edlreps.Text:= floattostr(prm.lreps);
 self.spinlrmax.Value:= prm.lrmax;
end;

end.
