unit UDlgOpPrmSpvBVM;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgOpPrmSpvCVM, StdCtrls, LMDCustomControl, LMDCustomPanel,
  LMDCustomBevelPanel, LMDBaseEdit, LMDCustomEdit, LMDCustomMaskEdit,
  LMDMaskEdit, LMDControl, LMDBaseControl, LMDBaseGraphicControl,
  LMDBaseLabel, LMDCustomSimpleLabel, LMDSimpleLabel, ComCtrls, ExtCtrls;

type
  TdlgOpPrmSpvBvm = class(TdlgOpPrmSpvCvm)
    edSampleSize: TLMDMaskEdit;
    Label8: TLabel;
  private
    { Dclarations prives }
    //obtenir le n  partir du code de paramtrage
    function getIdListFromParam(id_param: integer): integer;
    //obtenir le code de paramtrage  partir du n dans la liste
    function getParamFromIdList(id_list: integer): integer;
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;
  end;

var
  dlgOpPrmSpvBvm: TdlgOpPrmSpvBvm;

implementation

uses UCompSpvLibcmBVM;

{$R *.dfm}

{ TdlgOpPrmSpvBvm }

procedure TdlgOpPrmSpvBvm.ApplyModifications;
var prm: TOpPrmBVM;
begin
 inherited;
 prm:= self.OpPrm as TOpPrmBVM;
 prm._kernel_type:= self.getParamFromIdList(self.cmbKernelType.ItemIndex);
 try
 prm.sample_size:= strtoint(self.edSampleSize.Text);
 except
 end;
end;

function TdlgOpPrmSpvBvm.getIdListFromParam(id_param: integer): integer;
begin
 result:= 0;
 case id_param of
  5: result:= 1;
  6: result:= 2;
  7: result:= 3;
  8: result:= 4;
 end;
end;

function TdlgOpPrmSpvBvm.getParamFromIdList(id_list: integer): integer;
begin
 result:= 2;
 case id_list of
  1: result:= 5;
  2: result:= 6;
  3: result:= 7;
  4: result:= 8;
 end;
end;

procedure TdlgOpPrmSpvBvm.SetParameters;
var prm: TOpPrmBVM;
begin
 prm:= self.OpPrm as TOpPrmBVM;
 self.edDegree.Text:= floattostr(prm.degree);
 self.edGamma.Text:= floattostr(prm.gamma);
 self.edCoef0.Text:= floattostr(prm.coef0);
 self.edCost.Text:= floattostr(prm.C);
 self.chkProba.Checked:= boolean(prm.probability);
 self.edEpsilon.Text:= floattostr(prm.eps);
 self.chkShrinking.Checked:= boolean(prm.shrinking);
 self.edNumBasis.Text:= IntToStr(prm.num_basis);
 self.edSampleSize.Text:= IntToStr(prm.sample_size);
 //faire la corespondance
 self.cmbKernelType.ItemIndex:= self.getIdListFromParam(prm._kernel_type);
end;


end.
