unit UDlgOpPrmSpvCVM;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UDlgOpPrmSpvLibSvmCSVC, StdCtrls, LMDCustomControl,
  LMDCustomPanel, LMDCustomBevelPanel, LMDBaseEdit, LMDCustomEdit,
  LMDCustomMaskEdit, LMDMaskEdit, LMDControl, LMDBaseControl,
  LMDBaseGraphicControl, LMDBaseLabel, LMDCustomSimpleLabel,
  LMDSimpleLabel, ComCtrls, ExtCtrls;

type
  TdlgOpPrmSpvCvm = class(TdlgOpPrmSpvLibsvmCsvc)
    Label7: TLabel;
    edNumBasis: TLMDMaskEdit;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  procedure   ApplyModifications(); override;
  procedure   SetParameters(); override;
  end;

var
  dlgOpPrmSpvCvm: TdlgOpPrmSpvCvm;

implementation

uses
        UCompSpvLibcvmCVM;

{$R *.dfm}

{ TdlgOpPrmSpvCvm }

procedure TdlgOpPrmSpvCvm.ApplyModifications;
var prm: TOpPrmCVM;
begin
 inherited;
 prm:= self.OpPrm as TOpPrmCVM;
 if (prm._kernel_type > 3) then inc(prm._kernel_type);//pour viter le precomputed
 try
 prm.num_basis:= StrToInt(self.edNumBasis.Text);
 except
 end;
end;

procedure TdlgOpPrmSpvCvm.SetParameters;
var prm: TOpPrmCVM;
begin
 prm:= self.OpPrm as TOpPrmCVM;
 //passer les paramtres
 if (prm._kernel_type > 3) then  self.cmbKernelType.ItemIndex:= pred(prm._kernel_type) else self.cmbKernelType.ItemIndex:= prm._kernel_type;
 self.edDegree.Text:= floattostr(prm.degree);
 self.edGamma.Text:= floattostr(prm.gamma);
 self.edCoef0.Text:= floattostr(prm.coef0);
 self.edCost.Text:= floattostr(prm.C);
 self.chkProba.Checked:= boolean(prm.probability);
 self.edEpsilon.Text:= floattostr(prm.eps);
 self.chkShrinking.Checked:= boolean(prm.shrinking);
 self.edNumBasis.Text:= IntToStr(prm.num_basis);
 self.rgNormalization.ItemIndex:= prm.normalization;
end;

end.
